Directory traversal vulnerability in Apache Tomcat 4.1.0 through 4.1.37, 5.5.0 through 5.5.26, and 6.0.0 through 6.0.16, when allowLinking and UTF-8 are enabled, allows remote attackers to read arbitrary files via encoded directory traversal sequences in the URI, a different vulnerability than CVE-2008-2370. NOTE: versions earlier than 6.0.18 were reported affected, but the vendor advisory lists 6.0.16 as the last affected version.
Published 2008-08-13 00:41:00
Updated 2023-02-13 02:19:16
Source Red Hat, Inc.
View at NVD,   CVE.org
Vulnerability category: Directory traversal

Threat overview for CVE-2008-2938

Top countries where our scanners detected CVE-2008-2938
Top open port discovered on systems with this issue 80
IPs affected by CVE-2008-2938 13,332
Threat actors abusing to this issue? Yes
Find out if you* are affected by CVE-2008-2938!
*Directly or indirectly through your vendors, service providers and 3rd parties. Powered by attack surface intelligence from SecurityScorecard.

Exploit prediction scoring system (EPSS) score for CVE-2008-2938

97.09%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 100 %
Percentile, the proportion of vulnerabilities that are scored at or less

Metasploit modules for CVE-2008-2938

  • Tomcat UTF-8 Directory Traversal Vulnerability
    Disclosure Date: 2009-01-09
    First seen: 2020-04-26
    auxiliary/admin/http/tomcat_utf8_traversal
    This module tests whether a directory traversal vulnerability is present in versions of Apache Tomcat 4.1.0 - 4.1.37, 5.5.0 - 5.5.26 and 6.0.0 - 6.0.16 under specific and non-default installations. The connector must have allowLinking set to true and URIEncoding set
  • TrendMicro Data Loss Prevention 5.5 Directory Traversal
    Disclosure Date: 2009-01-09
    First seen: 2020-04-26
    auxiliary/admin/http/trendmicro_dlp_traversal
    This module tests whether a directory traversal vulnerability is present in Trend Micro DLP (Data Loss Prevention) Appliance v5.5 build <= 1294. The vulnerability appears to be actually caused by the Tomcat UTF-8 bug which is implemented in module tomcat_utf8_travers

CVSS scores for CVE-2008-2938

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
4.3
MEDIUM AV:N/AC:M/Au:N/C:P/I:N/A:N
8.6
2.9
NIST

CWE ids for CVE-2008-2938

  • The product uses external input to construct a pathname that is intended to identify a file or directory that is located underneath a restricted parent directory, but the product does not properly neutralize special elements within the pathname that can cause the pathname to resolve to a location that is outside of the restricted directory.
    Assigned by: nvd@nist.gov (Primary)

References for CVE-2008-2938

Products affected by CVE-2008-2938

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!